/*
 * $Id: stdio.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * fcntl.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * Mostly stubbed out functions which take FILEs.  Invoking most of these will
 * result in panics.
 */

#ifndef __LIBSTDCXX_EMBEDDED_STDIO_H__
#define __LIBSTDCXX_EMBEDDED_STDIO_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "../../../../include/stdio.h"

typedef int FILE;
typedef long fpos_t;

#define __VALIST va_list
#define _PTR void *

#define stdin ((FILE *)0)
#define stdout ((FILE *)1)
#define stderr ((FILE *)2)

#define SEEK_SET 0
#define SEEK_CUR 1
#define SEEK_END 2

#define	_IOFBF	0		/* setvbuf should set fully buffered */
#define	_IOLBF	1		/* setvbuf should set line buffered */
#define	_IONBF	2		/* setvbuf should set unbuffered */

void	clearerr (FILE *);
int	fclose (FILE *);
FILE *	fdopen (int , const char *);
int	feof (FILE *);
int	ferror (FILE *);
int	fflush (FILE *);
int	fgetc (FILE *);
int	fgetpos (FILE *, fpos_t *);
char *  fgets (char *, int, FILE *);
int	fileno (FILE *);
FILE *	fopen (const char *_name, const char *_type);
int	fprintf (FILE *, const char *, ...);
int	fputc (int, FILE *);
int	fputs (const char *, FILE *);
size_t	fread (_PTR, size_t _size, size_t _n, FILE *);
FILE *	freopen (const char *, const char *, FILE *);
int	fscanf (FILE *, const char *, ...);
int	fseek (FILE *, long, int);
int	fsetpos (FILE *, const fpos_t *);
long	ftell ( FILE *);
size_t	fwrite (const _PTR , size_t _size, size_t _n, FILE *);
int	getc (FILE *);
int	putc (int, FILE *);
int	remove (const char *);
int	rename (const char *, const char *);
void	rewind (FILE *);
int	scanf (const char *, ...);
void	setbuf (FILE *, char *);
int	setvbuf (FILE *, char *, int, size_t);
FILE *	tmpfile (void);
char *	tmpnam (char *);
int	ungetc (int, FILE *);
int	vfprintf (FILE *, const char *, __VALIST);
int	vfscanf (FILE *, const char *, __VALIST);
int	vscanf (const char *, __VALIST);
int	vsscanf (const char *, const char *, __VALIST);

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_STDIO_H__ */
