/*
 * $Id: assert.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * assert.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This file fixes problems caused by the __str macros in pfe/include/assert.h
 * which are used as internal variables within libstdc++.
 */

#ifndef __LIBSTDCXX_EMBEDDED_ASSERT_H__
#define __LIBSTDCXX_EMBEDDED_ASSERT_H__

#ifdef __cplusplus
extern "C" {
#endif

#if 0
#include "../../../../include/assert.h"
#endif

#include <defs.h>
#include <kdebug.h>

#define assert(expr) { if (!(expr)) { panic("Assertion failed:" __FILE__ ":%d: %s\n", __LINE__, #expr); } }

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_ASSERT_H__ */
