/*
 * $Id: stddef.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * stddef.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * In c++ NULL is just 0, not (void*)0.  c++ doesn't define max and min macros
 * since programmers need to override them with type-specific methods.
 */

#ifndef __LIBSTDCXX_EMBEDDED_STDDEF_H__
#define __LIBSTDCXX_EMBEDDED_STDDEF_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "../../../../include/stddef.h"

#ifdef __cplusplus
#ifndef __PTRDIFF_TYPE__
#define __PTRDIFF_TYPE__ long
#endif
typedef __PTRDIFF_TYPE__ ptrdiff_t;
#endif

#define offsetof(type, member)  ((size_t) &((type *)0)->member)

#undef  NULL
#define NULL 0

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_STDDEF_H__ */
