/*
 * $Id: stat.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * stat.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * libstdc++ makes direct refs to fstat.  Don't even *think* about
 * using those functions 'cuz it'll bomb out.
 */

#ifndef __LIBSTDCXX_EMBEDDED_SYS_STAT_H__
#define __LIBSTDCXX_EMBEDDED_SYS_STAT_H__

#ifdef __cplusplus
extern "C" {
#endif

#define	_IFMT		0170000	/* type of file */
#define		_IFDIR	0040000	/* directory */
#define		_IFCHR	0020000	/* character special */
#define		_IFBLK	0060000	/* block special */
#define		_IFREG	0100000	/* regular */
#define		_IFLNK	0120000	/* symbolic link */
#define		_IFSOCK	0140000	/* socket */
#define		_IFIFO	0010000	/* fifo */

#define	S_ISBLK(m)	(((m)&_IFMT) == _IFBLK)
#define	S_ISCHR(m)	(((m)&_IFMT) == _IFCHR)
#define	S_ISDIR(m)	(((m)&_IFMT) == _IFDIR)
#define	S_ISFIFO(m)	(((m)&_IFMT) == _IFIFO)
#define	S_ISREG(m)	(((m)&_IFMT) == _IFREG)
#define	S_ISLNK(m)	(((m)&_IFMT) == _IFLNK)
#define	S_ISSOCK(m)	(((m)&_IFMT) == _IFSOCK)

struct stat {
    unsigned long	  st_size;		/* file size, in bytes */
    int st_mode;
};

int fstat(int, struct stat *);
int mkfifo(const char *__path, unsigned short __mode);

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_SYS_STAT_H__ */
