/*
 * $Id: unistd.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * unistd.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * libstdc++ makes direct refs to read, write and lseek.  Don't even *think*
 * about using those functions 'cuz it'll bomb out.
 */

#ifndef __LIBSTDCXX_EMBEDDED_UNISTD_H__
#define __LIBSTDCXX_EMBEDDED_UNISTD_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sys/types.h"

int write(int __fd, const void *__buf, size_t __nbyte);
int read(int __fd, const void *__buf, size_t __nbyte);
long lseek(int __fildes, off_t __offset, int __whence);

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_UNISTD_H__ */
