/*
 * $Id: stddef.h 565570 2013-02-08 23:23:49Z ib-builder $
 *
 * stddef.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007-2008, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/stddef.h.  pfe/include/stddef.h
 * lacks many of the defs which are needed by the C++ <cstddef> header.
 */

#ifndef __LIBSTDCXX_JUNOS_STDDEF_H__
#define __LIBSTDCXX_JUNOS_STDDEF_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Grab src/bsd/include/stddef.h
 */
#include "../../../../../bsd/include/stddef.h"

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_JUNOS_STDDEF_H__ */
