/*
 * $Id: ctype.h 658455 2014-07-12 02:36:59Z ib-builder $
 *
 * ctype.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/ctype.h.  pfe/include/ctype.h
 * lacks many of the defs which are needed by the C++ <ctype> header.
 */

#ifndef __LIBSTDCXX_NATIVE_CTYPE_H__
#define	__LIBSTDCXX_NATIVE_CTYPE_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __linux__
#define USE_SYSTEM_CTYPE_H
#include_next <ctype.h>
#else
#include </usr/include/ctype.h>
#endif

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_NATIVE_CTYPE_H__ */
