/*
 * $Id: stdio.h 810948 2016-10-20 09:44:06Z ib-builder $
 *
 * stdio.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/stdio.h.  pfe/include/stdio.h
 * lacks many of the defs which are needed by the C++ <cstdio> header.
 */

#ifndef __LIBSTDCXX_NATIVE_STDIO_H__
#define __LIBSTDCXX_NATIVE_STDIO_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __linux__
#undef USE_SYSTEM_TIME_H
#define USE_SYSTEM_TIME_H
#undef USE_SYSTEM_STDIO_H
#define USE_SYSTEM_STDIO_H
#undef USE_SYSTEM_STDARG_H
#define USE_SYSTEM_STDARG_H
#include_next <time.h>
#include_next <stdarg.h>
#include_next <stdio.h>
#else
#include </usr/include/stdio.h>
#endif

#ifdef __cplusplus
}
#endif

#endif /* _LIBSTDCXX_NATIVE_STDIO_H_ */
